# ISPartitioningCount

Takes a ISPartitioning and determines the number of resulting elements on each processor

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode PETSCVEC_DLLEXPORT ISPartitioningCount(IS part,PetscInt count[])

Collective on IS

### Input Parameters

partitioning -a partitioning as generated by MatPartitioningApply()

### Output Parameter

count -array of length size, to contain the number of elements assigned to each partition, where size is the number of partitions generated (see notes below).

### Notes

By default the number of partitions generated (and thus the length of count) is the size of the communicator associated with IS, but it can be set by MatPartitioningSetNParts. The resulting array of lengths can for instance serve as input of PCBJacobiSetTotalBlocks.

### See Also

MatPartitioningCreate(), AOCreateBasic(), ISPartitioningToNumbering(),
MatPartitioningSetNParts()

Level:advanced
Location: src/vec/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/dm/ao/examples/tutorials/ex2.c.html